=== debian/control ===
Source: ros-humble-rmf-visualization-floorplans
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libopencv-dev, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-building-map-msgs, ros-humble-rmf-utils <!nocheck>, ros-humble-rmf-visualization-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-visualization-floorplans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libopencv-dev, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclcpp-components, ros-humble-rmf-building-map-msgs, ros-humble-rmf-visualization-msgs, ros-humble-ros-workspace
Description: A package to visualize the floorplans for levels in a building
